Remove owner
Namespace: microsoft.graph
Important
APIs under the /beta version in Microsoft Graph are subject to change. Use of these APIs in production applications is not supported. To determine whether an API is available in v1.0, use the Version selector.
Remove an owner from an application.
Permissions
One of the following permissions is required to call this API. To learn more, including how to choose permissions, see Permissions.
| Permission type | Permissions (from least to most privileged) |
|---|---|
| Delegated (work or school account) | Application.ReadWrite.All, Directory.ReadWrite.All |
| Delegated (personal Microsoft account) | Not supported. |
| Application | Application.ReadWrite.OwnedBy, Application.ReadWrite.All, Directory.ReadWrite.All |
HTTP request
DELETE /applications/{id}/owners/{id}/$ref
Caution
If /$ref is not appended to the request and the calling app has permissions to manage the user who is the app owner, the user will also be deleted from Azure Active Directory (Azure AD); otherwise, a 403 Forbidden error is returned. You can restore deleted users through the Restore deleted items API.
Request headers
| Name | Description |
|---|---|
| Authorization | Bearer {token}. Required. |
Request body
In the request body, supply the identifier of the directory object to be assigned as owner.
Response
If successful, this method returns a 204 No Content response code.
Example
Request
The following example shows the request.
DELETE https://graph.microsoft.com/beta/applications/{id}/owners/{id}/$ref
Response
The following is an example of the response.
Note: The response object shown here might be shortened for readability.
HTTP/1.1 204 No Content
Feedback
Submit and view feedback for